> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/twthyq-api/nzrh-aamh-ala-tlbat-geopard-api/62.-altfrh-msharkh-almzara.md).

# 62. الطفرة: مشاركة المزارع

مشاركة دفعة من المزارع للمستخدمين داخل "المنظمة" أو للمستخدمين الخارجيين. هناك حالتان لتطبيق الطفرة. الحالة الأولى هي مشاركة دفعة من "المزارع" عبر قائمة بريد إلكتروني.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    الاسم
    farmOwnership
    تاريخ الإنشاء
    updatedDate
    البريد الإلكتروني
  }
}

```

{% endcode %}

والحالة الثانية هي إعداد العلم ‘allFarms=true’ لقائمة "المستخدمين" في "المنظمة"، مما يعني أن جميع المزارع الجديدة داخل "المنظمة" ستكون متاحة لهؤلاء "المستخدمين".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    الاسم
    farmOwnership
    تاريخ الإنشاء
    updatedDate
    البريد الإلكتروني
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/twthyq-api/nzrh-aamh-ala-tlbat-geopard-api/62.-altfrh-msharkh-almzara.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
